Logger
Date: 2016-02-08

org.apache.avalon.framework.logger

## Interface Logger

-     public interface Logger

  This is a facade for the different logging subsystems. It offers a simplified interface that follows IOC patterns and a simplified priority/level/severity abstraction.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug(java.lang.String message)` Log a debug message.
    `void` | `debug(java.lang.String message, java.lang.Throwable throwable)` Log a debug message.
    `void` | `error(java.lang.String message)` Log a error message.
    `void` | `error(java.lang.String message, java.lang.Throwable throwable)` Log a error message.
    `void` | `fatalError(java.lang.String message)` Log a fatalError message.
    `void` | `fatalError(java.lang.String message, java.lang.Throwable throwable)` Log a fatalError message.
    `Logger` | `getChildLogger(java.lang.String name)` Create a new child logger.
    `void` | `info(java.lang.String message)` Log a info message.
    `void` | `info(java.lang.String message, java.lang.Throwable throwable)` Log a info message.
    `boolean` | `isDebugEnabled()` Determine if messages of priority "debug" will be logged.
    `boolean` | `isErrorEnabled()` Determine if messages of priority "error" will be logged.
    `boolean` | `isFatalErrorEnabled()` Determine if messages of priority "fatalError" will be logged.
    `boolean` | `isInfoEnabled()` Determine if messages of priority "info" will be logged.
    `boolean` | `isWarnEnabled()` Determine if messages of priority "warn" will be logged.
    `void` | `warn(java.lang.String message)` Log a warn message.
    `void` | `warn(java.lang.String message, java.lang.Throwable throwable)` Log a warn message.

- - ### Method Detail

    - #### debug

          void debug(java.lang.String message)

      Log a debug message.
      Parameters:
        `message` - the message

    - #### debug

          void debug(java.lang.String message,
                   java.lang.Throwable throwable)

      Log a debug message.
      Parameters:
        `message` - the message
        `throwable` - the throwable

    - #### isDebugEnabled

          boolean isDebugEnabled()

      Determine if messages of priority "debug" will be logged.
      Returns:
        true if "debug" messages will be logged

    - #### info

          void info(java.lang.String message)

      Log a info message.
      Parameters:
        `message` - the message

    - #### info

          void info(java.lang.String message,
                  java.lang.Throwable throwable)

      Log a info message.
      Parameters:
        `message` - the message
        `throwable` - the throwable

    - #### isInfoEnabled

          boolean isInfoEnabled()

      Determine if messages of priority "info" will be logged.
      Returns:
        true if "info" messages will be logged

    - #### warn

          void warn(java.lang.String message)

      Log a warn message.
      Parameters:
        `message` - the message

    - #### warn

          void warn(java.lang.String message,
                  java.lang.Throwable throwable)

      Log a warn message.
      Parameters:
        `message` - the message
        `throwable` - the throwable

    - #### isWarnEnabled

          boolean isWarnEnabled()

      Determine if messages of priority "warn" will be logged.
      Returns:
        true if "warn" messages will be logged

    - #### error

          void error(java.lang.String message)

      Log a error message.
      Parameters:
        `message` - the message

    - #### error

          void error(java.lang.String message,
                   java.lang.Throwable throwable)

      Log a error message.
      Parameters:
        `message` - the message
        `throwable` - the throwable

    - #### isErrorEnabled

          boolean isErrorEnabled()

      Determine if messages of priority "error" will be logged.
      Returns:
        true if "error" messages will be logged

    - #### fatalError

          void fatalError(java.lang.String message)

      Log a fatalError message.
      Parameters:
        `message` - the message

    - #### fatalError

          void fatalError(java.lang.String message,
                        java.lang.Throwable throwable)

      Log a fatalError message.
      Parameters:
        `message` - the message
        `throwable` - the throwable

    - #### isFatalErrorEnabled

          boolean isFatalErrorEnabled()

      Determine if messages of priority "fatalError" will be logged.
      Returns:
        true if "fatalError" messages will be logged

    - #### getChildLogger

          Logger getChildLogger(java.lang.String name)

      Create a new child logger. The name of the child logger is [current-loggers-name].[passed-in-name] Throws `IllegalArgumentException` if name has an empty element name
      Parameters:
        `name` - the subname of this logger
      Returns:
        the new logger